var reflastt = new Date();
var reflast = reflastt.getTime();
cur = null;
var images = new Array;
var radarid = null;
var c = null;
var timesince = null;

document.onreadystatechange = function(){    
    if(document.readyState=="complete")
    {
		System.Gadget.settingsUI = "Settings.html";
		System.Gadget.onSettingsClosed = settingsClosed;
		System.Gadget.onUndock = resizeGadget;
		System.Gadget.onDock = resizeGadget;         
		loadSettings();
	}        
}

function resizeGadget(){
    if(System.Gadget.docked == true)
    {
        size=130;
	}
    else
    {
        size=320;
    }
	
	mainBody.style.height = size;
    mainBody.style.width = size;
    radar.style.height = size;
    radar.style.width = size;
	topography.style.height = size;
	topography.style.width = size;
	range.style.height = size;
	range.style.width = size;
	background.style.height = size;
	background.style.width = size;
	locations.style.height = size;
	locations.style.width = size;
	
	System.Gadget.Settings.writeString("GadgetSize", size);
}

function settingsClosed(event){
    if(event.closeAction == event.Action.commit)
    {   
		loadSettings();
		//location.href = location.href;
    }
}

function loadSettings(){
    //var radarid = 701;
	//var size = 320;
	var radarid = System.Gadget.Settings.readString("RadarSelection");
    var size = System.Gadget.Settings.readString("GadgetSize");
	if(radarid == "")
    {
		radarid="311";
	}
	mainBody.style.height = size;
	mainBody.style.width = size;
	radar.style.height = size;
	radar.style.width = size;
	topography.style.height = size;
	topography.style.width = size;
	range.style.height = size;
	range.style.width = size;
	background.style.height = size;
	background.style.width = size;
	locations.style.height = size;
	locations.style.width = size;

	if (this.images) 
	{
		images=null;
	}
	images = loadImages(radarid);
	if (this.ani) {
		window.clearTimeout(ani);
		ani = null;
	}
	c=0;
	animate(images);
	
	
}
			
		
function loadImages(radarid){

	if (this.image) 
			{
		image="";
			}

	document.images["background"].src="http://www.bom.gov.au/products/radar_transparencies/IDR"+radarid+".background.png";
	document.images["topography"].src="http://www.bom.gov.au/products/radar_transparencies/IDR"+radarid+".topography.png";
	document.images["locations"].src="http://www.bom.gov.au/products/radar_transparencies/IDR"+radarid+".locations.png";
	document.images["range"].src="http://www.bom.gov.au/products/radar_transparencies/IDR"+radarid+".range.png";

	var xmlResp;	
	url="http://www.bom.gov.au/products/IDR"+radarid+".loop.shtml";
	//var xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	var xmlhttp = new XMLHttpRequest();
	xmlhttp.open("GET", url, false);
	xmlhttp.setRequestHeader("If-Modified-Since", "Sat, 1 Jan 2005 00:00:00 GMT");
	xmlhttp.send();
	var xmlResp = xmlhttp.responseText;

	searchstring = new RegExp("IDR" + radarid + ".T.\\d{12}.png","g");
	image=xmlResp.match(searchstring);

	if (image!=undefined)
	{
		//document.write("Load Images " + image.length);
		//document.write("<br/>");
		return image;
	}
	
}

function animate() 
{
	if (images==undefined)
		{
		document.images["radar"].src ="broken.png";
		//document.write("Broken");
		}
	else
		{		
		document.images["radar"].src = "http://www.bom.gov.au/radar/"+image[c];
		/*document.write(images[c]);
		document.write("<br/>");
		document.write(c);
		document.write("<br/>");
		document.write(images.length);
		document.write("<br/>");
		*/
		c++;
		if (c>images.length-1)
			{
				c=0;
			}
		}
		
		curt = new Date();
		cur = curt.getTime();
		timesince = cur - reflast;
		if (cur-reflast > 300000)
		{
			if (this.ani) 
			{
				window.clearTimeout(ani);
				ani = null;
			}
			reflastt = new Date();
			reflast = reflastt.getTime();
			location.href = location.href;
			//images=null;
			//loadSettings();
		}
			
		ani = setTimeout("animate()",750);
}

